## org.openorb.compiler.idl.reflect
Interface idlTypeDef

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlTypeDef

public interface idlTypeDef
extends idlObject

This interface is implemented by the IDL object that represents an IDL TypeDef.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlObject` `original()` Return the original type

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### original

    public idlObject original()

  Return the original type